"use strict";
Object.defineProperty(exports, Symbol.toStringTag, { value: "Module" });
const jsxRuntime = require("react/jsx-runtime");
require("react");
require("clsx");
const useProps = require("../../core/MantineProvider/use-props/use-props.cjs");
const factory = require("../../core/factory/factory.cjs");
const ModalBaseOverlay = require("../ModalBase/ModalBaseOverlay.cjs");
const Drawer_context = require("./Drawer.context.cjs");
const Drawer_module_css = require("./Drawer.module.css.cjs");
const defaultProps = {};
const DrawerOverlay = factory.factory((_props, ref) => {
  const props = useProps.useProps("DrawerOverlay", defaultProps, _props);
  const { classNames, className, style, styles, vars, ...others } = props;
  const ctx = Drawer_context.useDrawerContext();
  return /* @__PURE__ */ jsxRuntime.jsx(
    ModalBaseOverlay.ModalBaseOverlay,
    {
      ref,
      ...ctx.getStyles("overlay", { classNames, style, styles, className }),
      ...others
    }
  );
});
DrawerOverlay.classes = Drawer_module_css.default;
DrawerOverlay.displayName = "@mantine/core/DrawerOverlay";
exports.DrawerOverlay = DrawerOverlay;
